org.eclipse.viatra.query.runtime.rete.traceability

## Class RecipeTraceInfo.ParentTraceList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<RecipeTraceInfo>
      - - org.eclipse.viatra.query.runtime.rete.traceability.RecipeTraceInfo.ParentTraceList

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<RecipeTraceInfo>, java.util.Collection<RecipeTraceInfo>, java.util.List<RecipeTraceInfo>, java.util.RandomAccess
  Enclosing class:
    RecipeTraceInfo

      public static class RecipeTraceInfo.ParentTraceList
      extends java.util.ArrayList<RecipeTraceInfo>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParentTraceList()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RecipeTraceInfo.ParentTraceList` | `from(java.util.Collection<? extends RecipeTraceInfo> parentRecipeTraces)`

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### ParentTraceList

          public ParentTraceList()

  - ### Method Detail

    - #### from

          public static RecipeTraceInfo.ParentTraceList from(java.util.Collection<? extends RecipeTraceInfo> parentRecipeTraces)